<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE sun-ejb-jar PUBLIC '-//Sun Microsystems, Inc.//DTD Sun ONE Application Server 7.0 EJB 2.0//EN' 'http://www.sun.com/software/sunone/appserver/dtds/sun-ejb-jar_2_0-0.dtd'>

<sun-ejb-jar>
  <enterprise-beans>
    <name>Orders</name>
    <ejb>
      <ejb-name>OrderEnt</ejb-name>
      <jndi-name>ejb/OrderEnt</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/SequenceSes</ejb-ref-name>
        <jndi-name>ejb/SequenceSes</jndi-name>
      </ejb-ref>
      <ejb-ref>
        <ejb-ref-name>ejb/ItemEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/ItemEnt68616298159538188</jndi-name>
      </ejb-ref>
      <ejb-ref>
        <ejb-ref-name>ejb/OrderLineEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/OrderLineEnt68616298159538195</jndi-name>
      </ejb-ref>
      <pass-by-reference>false</pass-by-reference>
      <cmp>
        <mapping-properties>pcImpl0/moduleComp3/jars/validPackageComponentID0/OrderEnt.mapping</mapping-properties>
        <is-one-one-cmp>false</is-one-one-cmp>
      </cmp>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <refresh-period-in-seconds>600</refresh-period-in-seconds>
      <gen-classes>
        <remote-impl>org.spec.jappserver.orders.orderent.ejb.OrderCmp20EJB_237749819_ConcreteImpl_EJBObjectImpl</remote-impl>
        <local-impl>org.spec.jappserver.orders.orderent.ejb.OrderCmp20EJB_237749819_ConcreteImpl_EJBLocalObjectImpl</local-impl>
        <remote-home-impl>org.spec.jappserver.orders.orderent.ejb.OrderCmp20EJB_237749819_ConcreteImpl_RemoteHomeImpl</remote-home-impl>
        <local-home-impl>org.spec.jappserver.orders.orderent.ejb.OrderCmp20EJB_237749819_ConcreteImpl_LocalHomeImpl</local-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
      <bean-cache>
        <max-cache-size>2048</max-cache-size>
        <resize-quantity>16</resize-quantity>
        <cache-idle-timeout-in-seconds>600</cache-idle-timeout-in-seconds>
        <removal-timeout-in-seconds>5400</removal-timeout-in-seconds>
        <victim-selection-policy>nru</victim-selection-policy>
      </bean-cache>
    </ejb>
    <ejb>
      <ejb-name>FulfillOrderMDB</ejb-name>
      <jndi-name>jms/FulfillOrderQueue</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/CustomerSes</ejb-ref-name>
        <jndi-name>ejb/CustomerSes</jndi-name>
      </ejb-ref>
      <ejb-ref>
        <ejb-ref-name>ejb/OrderLineEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/OrderLineEnt68616298159538195</jndi-name>
      </ejb-ref>
      <ejb-ref>
        <ejb-ref-name>ejb/OrderEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/OrderEnt68616298159538194</jndi-name>
      </ejb-ref>
      <pass-by-reference>false</pass-by-reference>
      <mdb-connection-factory>
	 <jndi-name>jms/QueueConnectionFactory</jndi-name>
	 <default-resource-principal>
		<name></name>
		<password></password>
	 </default-resource-principal>
      </mdb-connection-factory>
      <jms-max-messages-load>1</jms-max-messages-load>
      <is-read-only-bean>false</is-read-only-bean>
      <gen-classes />
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
    </ejb>
    <ejb>
      <ejb-name>OrderLineEnt</ejb-name>
      <jndi-name>ejb/OrderLineEnt</jndi-name>
      <pass-by-reference>false</pass-by-reference>
      <cmp>
        <mapping-properties>pcImpl0/moduleComp3/jars/validPackageComponentID0/OrderLineEnt.mapping</mapping-properties>
        <is-one-one-cmp>false</is-one-one-cmp>
      </cmp>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <refresh-period-in-seconds>600</refresh-period-in-seconds>
      <gen-classes>
        <remote-impl>org.spec.jappserver.orders.orderlineent.ejb.OrderLineCmp20EJB_1441002239_ConcreteImpl_EJBObjectImpl</remote-impl>
        <local-impl>org.spec.jappserver.orders.orderlineent.ejb.OrderLineCmp20EJB_1441002239_ConcreteImpl_EJBLocalObjectImpl</local-impl>
        <remote-home-impl>org.spec.jappserver.orders.orderlineent.ejb.OrderLineCmp20EJB_1441002239_ConcreteImpl_RemoteHomeImpl</remote-home-impl>
        <local-home-impl>org.spec.jappserver.orders.orderlineent.ejb.OrderLineCmp20EJB_1441002239_ConcreteImpl_LocalHomeImpl</local-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
      <bean-cache>
        <max-cache-size>2048</max-cache-size>
        <resize-quantity>16</resize-quantity>
        <is-cache-overflow-allowed>true</is-cache-overflow-allowed>
        <cache-idle-timeout-in-seconds>600</cache-idle-timeout-in-seconds>
        <removal-timeout-in-seconds>5400</removal-timeout-in-seconds>
        <victim-selection-policy>nru</victim-selection-policy>
      </bean-cache>
    </ejb>
    <ejb>
      <ejb-name>OrderSes</ejb-name>
      <jndi-name>ejb/OrderSes</jndi-name>
      <ejb-ref>
	<ejb-ref-name>ejb/CustomerSes</ejb-ref-name>
	<jndi-name>ejb/CustomerSes</jndi-name>
      </ejb-ref>	
      <ejb-ref>
        <ejb-ref-name>ejb/OrderEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/OrderEnt68616298159538194</jndi-name>
      </ejb-ref>
      <ejb-ref>
        <ejb-ref-name>ejb/ItemEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/ItemEnt68616298159538188</jndi-name>
      </ejb-ref>
      <resource-ref>
	<res-ref-name>jms/QueueConnectionFactory</res-ref-name>
	<jndi-name>jms/QueueConnectionFactory</jndi-name>
      </resource-ref>
      <resource-env-ref>
        <resource-env-ref-name>jms/LargeOrderQueue</resource-env-ref-name>
	<jndi-name>jms/LargeOrderQueue</jndi-name>
      </resource-env-ref>
      <pass-by-reference>false</pass-by-reference>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <gen-classes>
        <remote-impl>org.spec.jappserver.orders.orderses.ejb.OrderSesEJB_EJBObjectImpl</remote-impl>
        <remote-home-impl>org.spec.jappserver.orders.orderses.ejb.OrderSesEJB_RemoteHomeImpl</remote-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
    </ejb>
    <ejb>
      <ejb-name>ItemBrowserSes</ejb-name>
      <jndi-name>ejb/ItemBrowserSes</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/ItemEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/ItemEnt68616298159538188</jndi-name>
      </ejb-ref>
      <pass-by-reference>false</pass-by-reference>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <gen-classes>
        <remote-impl>org.spec.jappserver.orders.itemBrowserSes.ejb.ItemBrowserSesEJB_EJBObjectImpl</remote-impl>
        <remote-home-impl>org.spec.jappserver.orders.itemBrowserSes.ejb.ItemBrowserSesEJB_RemoteHomeImpl</remote-home-impl>
      </gen-classes>
      <bean-cache>
        <max-cache-size>0</max-cache-size>
        <resize-quantity>16</resize-quantity>
        <is-cache-overflow-allowed>true</is-cache-overflow-allowed>
        <cache-idle-timeout-in-seconds>7200</cache-idle-timeout-in-seconds>
        <removal-timeout-in-seconds>7200</removal-timeout-in-seconds>
        <victim-selection-policy>nru</victim-selection-policy>
      </bean-cache>
    </ejb>
    <ejb>
      <ejb-name>ItemEnt</ejb-name>
      <jndi-name>ejb/ItemEnt</jndi-name>
      <pass-by-reference>false</pass-by-reference>
      <cmp>
        <mapping-properties>pcImpl0/moduleComp3/jars/validPackageComponentID0/ItemEnt.mapping</mapping-properties>
        <is-one-one-cmp>false</is-one-one-cmp>
      </cmp>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>true</is-read-only-bean>
      <refresh-period-in-seconds>1200</refresh-period-in-seconds>
      <gen-classes>
        <remote-impl>org.spec.jappserver.orders.itement.ejb.ItemCmp20EJB639923118_ConcreteImpl_EJBObjectImpl</remote-impl>
        <local-impl>org.spec.jappserver.orders.itement.ejb.ItemCmp20EJB639923118_ConcreteImpl_EJBLocalObjectImpl</local-impl>
        <remote-home-impl>org.spec.jappserver.orders.itement.ejb.ItemCmp20EJB639923118_ConcreteImpl_RemoteHomeImpl</remote-home-impl>
        <local-home-impl>org.spec.jappserver.orders.itement.ejb.ItemCmp20EJB639923118_ConcreteImpl_LocalHomeImpl</local-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>300</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
      <bean-cache>
        <max-cache-size>100000</max-cache-size>
        <resize-quantity>512</resize-quantity>
        <is-cache-overflow-allowed>true</is-cache-overflow-allowed>
        <cache-idle-timeout-in-seconds>7200</cache-idle-timeout-in-seconds>
        <removal-timeout-in-seconds>8000</removal-timeout-in-seconds>
        <victim-selection-policy>nru</victim-selection-policy>
      </bean-cache>
    </ejb>
    <ejb>
      <ejb-name>OrderAuditSes</ejb-name>
      <jndi-name>ejb/OrderAuditSes</jndi-name>
      <resource-ref>
        <res-ref-name>OrdersDataSource</res-ref-name>
        <jndi-name>jdbc/SPECDB</jndi-name>
      </resource-ref>
      <pass-by-reference>false</pass-by-reference>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <gen-classes>
        <remote-impl>org.spec.jappserver.orders.orderauditses.ejb.OrderAuditSesEJB_EJBObjectImpl</remote-impl>
        <remote-home-impl>org.spec.jappserver.orders.orderauditses.ejb.OrderAuditSesEJB_RemoteHomeImpl</remote-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
    </ejb>
    <pm-descriptors>
      <pm-descriptor>
        <pm-identifier>SunONE</pm-identifier>
        <pm-version>1.0</pm-version>
        <pm-config>myconfig.config</pm-config>
        <pm-class-generator>com.iplanet.ias.persistence.internal.ejb.ejbc.JDOCodeGenerator</pm-class-generator>
        <pm-mapping-factory>com.iplanet.ias.cmp.NullFactory</pm-mapping-factory>
      </pm-descriptor>
      <pm-inuse>
        <pm-identifier>SunONE</pm-identifier>
        <pm-version>1.0</pm-version>
      </pm-inuse>
    </pm-descriptors>
    <cmp-resource>
      <jndi-name>jdo/specj</jndi-name>
    </cmp-resource>
  </enterprise-beans>
</sun-ejb-jar>

